import { ProfileRepository } from '@app/domain/profiles/profile.repository';
import { Observable } from 'rxjs';
import { Profile } from '@app/domain/profiles/profile.model';

export class ListProfilesUseCase {
  constructor(private readonly repo: ProfileRepository) {}

  execute(params?: { search?: string; page?: number; pageSize?: number }): Observable<Profile[]> {
    return this.repo.list(params);
  }
}
